Oracle Linux 7 : kernel (ELSA-2017-2679-1)

High Nessus Plugin ID 103204


The remote Oracle Linux host is missing one or more security updates.


Description of changes:

- [ipc] ipc/sem.c: bugfix for semctl(,,GETZCNT) (Manfred Spraul) [orabug 22552377]
- Oracle Linux certificates (Alexey Petrenko)
- Oracle Linux RHCK Module Signing Key was compiled into kernel (olkmod_signing_key.x509)(alexey.petre <A HREF=''>nko at</A>)
- Update x509.genkey [bug 24817676]

- [net] l2cap: prevent stack overflow on incoming bluetooth packet (Neil Horman) [1489788 1489789] {CV E-2017-1000251}


Update the affected kernel packages.

See Also

Plugin Details

Severity: High

ID: 103204

File Name: oraclelinux_ELSA-2017-2679-1.nasl

Version: $Revision: 3.5 $

Type: local

Agent: unix

Published: 2017/09/14

Modified: 2017/09/18

Dependencies: 12634

Risk Information

Risk Factor: High


Base Score: 8.3

Temporal Score: 7.9

Vector: CVSS2#AV:A/AC:L/Au:N/C:C/I:C/A:C

Temporal Vector: CVSS2#E:F/RL:U/RC:ND

Vulnerability Information

CPE: p-cpe:/a:oracle:linux:kernel, p-cpe:/a:oracle:linux:kernel-abi-whitelists, p-cpe:/a:oracle:linux:kernel-debug, p-cpe:/a:oracle:linux:kernel-debug-devel, p-cpe:/a:oracle:linux:kernel-devel, p-cpe:/a:oracle:linux:kernel-doc, p-cpe:/a:oracle:linux:kernel-headers, p-cpe:/a:oracle:linux:kernel-tools, p-cpe:/a:oracle:linux:kernel-tools-libs, p-cpe:/a:oracle:linux:kernel-tools-libs-devel, p-cpe:/a:oracle:linux:perf, p-cpe:/a:oracle:linux:python-perf, cpe:/o:oracle:linux:7

Required KB Items: Host/local_checks_enabled, Host/OracleLinux, Host/RedHat/release, Host/RedHat/rpm-list

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2017/09/13

Reference Information

OSVDB: 165347